Subject: bug#31715: cl-incf and cl-decf error out when passed a nil-valued variable as 'offset'

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 21 Apr 2022 15:11:13 +0200

Michael Heerdegen <[email-masked]> writes:

> It's not that super clear.  If we keep the current definition (though I
> would rather like to see this fixed if possible), maybe consider to add
> something like "If X is specified, it should be an expression that
> should evaluate to a number".

Reading this bug thread, different tweaks were suggested, but they all
seem to have various disadvantages.  So I think the conclusion here is
that doing this documentation clarification is the safest thing, so I've
now done so in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no